Public Member Functions | Public Attributes | Protected Member Functions | Friends

# VRTWarpedDataset Class Reference

Inheritance diagram for VRTWarpedDataset:

List of all members.

## Public Member Functions
| VRTWarpedDataset (int nXSize, int nYSize)
CPLErr | Initialize (void *)
virtual CPLErr | IBuildOverviews (const char *, int, int *, int, int *, GDALProgressFunc, void *)
virtual CPLXMLNode * | SerializeToXML (const char *pszVRTPath)
virtual CPLErr | XMLInit (CPLXMLNode *, const char *)
virtual CPLErr | AddBand (GDALDataType eType, char **papszOptions=NULL)
| Add a band to a dataset.
virtual char ** | GetFileList ()
| Fetch files forming dataset.
CPLErr | ProcessBlock (int iBlockX, int iBlockY)
void | GetBlockSize (int *, int *)
## Public Attributes
int | nOverviewCount
VRTWarpedDataset ** | papoOverviews
## Protected Member Functions
virtual int | CloseDependentDatasets ()
| Drop references to any other datasets referenced by this dataset.
## Friends
class | VRTWarpedRasterBand

## Member Function Documentation

CPLErr VRTWarpedDataset::AddBand | ( | GDALDataType | eType,
|  | char ** | papszOptions = `NULL` |
| ) |  |  | `[virtual]`

Add a band to a dataset.

This method will add a new band to the dataset if the underlying format supports this action. Most formats do not.

Note that the new GDALRasterBand is not returned. It may be fetched after successful completion of the method by calling GDALDataset::GetRasterBand(GDALDataset::GetRasterCount()) as the newest band will always be the last band.

Parameters:

  | eType | the data type of the pixels in the new band.
  | papszOptions | a list of NAME=VALUE option strings. The supported options are format specific. NULL may be passed by default.

Returns:
  CE_None on success or CE_Failure on failure.

Reimplemented from VRTDataset.

int VRTWarpedDataset::CloseDependentDatasets | ( |  | ) | `[protected, virtual]`

Drop references to any other datasets referenced by this dataset.

This method should release any reference to other datasets (e.g. a VRT dataset to its sources), but not close the current dataset itself.

If at least, one reference to a dependent dataset has been dropped, this method should return TRUE. Otherwise it *should* return FALSE. (Failure to return the proper value might result in infinite loop)

This method can be called several times on a given dataset. After the first time, it should not do anything and return FALSE.

The driver implementation may choose to destroy its raster bands, so be careful not to call any method on the raster bands afterwards.

Basically the only safe action you can do after calling CloseDependantDatasets() is to call the destructor.

Note: the only legitimate caller of CloseDependantDatasets() is GDALDriverManager::~GDALDriverManager()

Returns:
  TRUE if at least one reference to another dataset has been dropped.

Reimplemented from VRTDataset.

char ** VRTWarpedDataset::GetFileList | ( | void |  | ) | `[virtual]`

Fetch files forming dataset.

Returns a list of files believed to be part of this dataset. If it returns an empty list of files it means there is believed to be no local file system files associated with the dataset (for instance a virtual dataset). The returned file list is owned by the caller and should be deallocated with CSLDestroy().

The returned filenames will normally be relative or absolute paths depending on the path used to originally open the dataset. The strings will be UTF-8 encoded.

This method is the same as the C GDALGetFileList() function.

Returns:
  NULL or a NULL terminated array of file names.

Reimplemented from VRTDataset.

The documentation for this class was generated from the following files:

- vrtdataset.h
- vrtwarped.cpp

Generated for GDAL by 1.7.1.